www.cendio.com
Bug 5963 - Trailing whitespace in username causes authentication to fail in the HTML5 client
: Trailing whitespace in username causes authentication to fail in the HTML5 cl...
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC All
: P2 Normal
: 4.7.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-08-19 19:25 by
Modified: 2016-09-23 10:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-08-19 19:25:57
For the HTML5 client, if a user have trailing whitespace after the username,
the login will fail. In the native clients we strip trailing whitespace from
the username and server input fields. We should do this for the username field
in the login form for the HTML5 client as well.
------- Comment #2 From cendio 2016-08-22 13:08:39 -------
I started with verifying the problem on ThinLinc 4.6.0 and I can
confirm that both leading and trailing whitespace in the username will
make the authentication fail.

Verified with a nightly build that I can still log in:

- when a username is entered with a trailing space or tab
- when a username is entered with a leading space or tab